# wikirate4py
# Copyright 2024 Vasiliki Gkatziaki for Wikirate
# See LICENSE for details.

"""
wikirate4py Wikirate API library
"""
__version__ = '1.2.8'
__author__ = 'Vasiliki Gkatziaki'
__license__ = 'GPL-3.0'

from wikirate4py.api import API
from wikirate4py.cursor import Cursor
from wikirate4py.exceptions import (IllegalHttpMethod, Wikirate4PyException, HTTPException, BadRequestException,
                                    UnauthorizedException, ForbiddenException, NotFoundException,
                                    TooManyRequestsException,
                                    WikirateServerErrorException)
from wikirate4py.mixins import WikirateEntity
from wikirate4py.models import (BaseEntity, Company, CompanyItem, Topic, TopicItem, Metric, MetricItem, ResearchGroup,
                                ResearchGroupItem, Project, ProjectItem, CompanyGroup, CompanyGroupItem, Source,
                                SourceItem, Answer, AnswerItem, RelationshipAnswer, RelationshipAnswerItem, Region,
                                Dataset, DatasetItem)
from wikirate4py.utils import to_dataframe
